Bug 180471 - I have updated emulators/open-vm-tools to 9.2.3
I have updated emulators/open-vm-tools to 9.2.3
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Steve Wills
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-11 17:00 UTC by dcarmich
Modified: 2013-11-16 04:45 UTC (History)
0 users

See Also:


Attachments
file.diff (9.57 KB, patch)
2013-07-11 17:00 UTC, dcarmich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description dcarmich 2013-07-11 17:00:00 UTC
I have updated emulators/open-vm-tools to 9.2.3, and added a patch (http://sourceforge.net/p/open-vm-tools/tracker/152/) to successfully build all the modules and vmtoolsd on FreeBSD.

The port patch is attached.

Fix: Patch attached.

Patch attached with submission follows:
How-To-Repeat: n/a
Comment 1 Edwin Groothuis freebsd_committer 2013-07-11 17:00:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->swills

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter freebsd_committer 2013-11-16 04:36:07 UTC
Author: swills
Date: Sat Nov 16 04:35:59 2013
New Revision: 333981
URL: http://svnweb.freebsd.org/changeset/ports/333981

Log:
  - Update to 9.2.3-1031360 [1]
  - Fix build on CURRENT
  
  PR:		ports/180471 [1] (partially)
  Submitted by:	Douglas Carmichael <dcarmich@dcarmichael.net> [1] (partially)

Added:
  head/emulators/open-vm-tools/files/patch-if_vxn.c   (contents, props changed)
Deleted:
  head/emulators/open-vm-tools/files/patch-appUtilX11.c
  head/emulators/open-vm-tools/files/patch-checkvm.c
  head/emulators/open-vm-tools/files/patch-dndLinux.c
  head/emulators/open-vm-tools/files/patch-freebsd-9
  head/emulators/open-vm-tools/files/patch-hgfsserver.c
  head/emulators/open-vm-tools/files/patch-hgfsserverlinux.c
  head/emulators/open-vm-tools/files/patch-services-Makefile
  head/emulators/open-vm-tools/files/patch-vmhgfs-state.c
Modified:
  head/emulators/open-vm-tools/Makefile
  head/emulators/open-vm-tools/distinfo
  head/emulators/open-vm-tools/files/patch-vmhgfs-Makefile
  head/emulators/open-vm-tools/pkg-plist

Modified: head/emulators/open-vm-tools/Makefile
==============================================================================
--- head/emulators/open-vm-tools/Makefile	Sat Nov 16 04:31:33 2013	(r333980)
+++ head/emulators/open-vm-tools/Makefile	Sat Nov 16 04:35:59 2013	(r333981)
@@ -6,7 +6,7 @@ PORTVERSION=		${BUILD_VER}
 PORTREVISION=		4
 PORTEPOCH=		1
 CATEGORIES=		emulators
-MASTER_SITES=		SF/${PORTNAME}/${PORTNAME}/stable-8.6.x
+MASTER_SITES=		SF/${PORTNAME}/${PORTNAME}/stable-9.2.x
 DISTNAME=		open-vm-tools-${RELEASE_VER}-${BUILD_VER}
 
 MAINTAINER=		swills@FreeBSD.org
@@ -15,8 +15,8 @@ COMMENT?=		Open VMware tools for FreeBSD
 LICENSE=		LGPL21
 LICENSE_FILE=		${WRKSRC}/COPYING
 
-RELEASE_VER=		8.6.0
-BUILD_VER=		425873
+RELEASE_VER=		9.2.3
+BUILD_VER=		1031360
 
 WRKSRC=			${WRKDIR}/open-vm-tools-${RELEASE_VER}-${BUILD_VER}
 GNU_CONFIGURE=		yes
@@ -37,12 +37,6 @@ CONFLICTS=		open-vm-tools-[0-9]*
 .if !defined(WITHOUT_LIBNOTIFY)
 LIB_DEPENDS+=		libnotify.so:${PORTSDIR}/devel/libnotify
 .endif
-.if defined(WITH_UNITY)
-CONFIGURE_ENV+=		CUSTOM_URIPARSER_CPPFLAGS="-I${LOCALBASE}/include/uriparser"
-LIB_DEPENDS+=		liburiparser.so:${PORTSDIR}/net/uriparser
-.else
-CONFIGURE_ARGS+=	--disable-unity
-.endif
 CONFIGURE_ARGS+=	--with-x
 LDFLAGS+=		-L${LOCALBASE}/lib
 USE_XORG=		x11 ice sm xext xineramaproto xinerama xrandr xrender \

Modified: head/emulators/open-vm-tools/distinfo
==============================================================================
--- head/emulators/open-vm-tools/distinfo	Sat Nov 16 04:31:33 2013	(r333980)
+++ head/emulators/open-vm-tools/distinfo	Sat Nov 16 04:35:59 2013	(r333981)
@@ -1,2 +1,2 @@
-SHA256 (open-vm-tools-8.6.0-425873.tar.gz) = 205768023fdf77962684f275f74c98644fba97961cb2afaa0a7d8aec5d074ebf
-SIZE (open-vm-tools-8.6.0-425873.tar.gz) = 3648242
+SHA256 (open-vm-tools-9.2.3-1031360.tar.gz) = 1a004ea1675101fd44cddda299e2e9ac254388769b69f41b7ff5d1797549c8f1
+SIZE (open-vm-tools-9.2.3-1031360.tar.gz) = 3565935

Added: head/emulators/open-vm-tools/files/patch-if_vxn.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/emulators/open-vm-tools/files/patch-if_vxn.c	Sat Nov 16 04:35:59 2013	(r333981)
@@ -0,0 +1,13 @@
+--- modules/freebsd/vmxnet/if_vxn.c.orig	2013-11-16 03:47:08.000000000 +0000
++++ modules/freebsd/vmxnet/if_vxn.c	2013-11-16 03:51:10.000000000 +0000
+@@ -76,6 +76,10 @@
+ #include <pci/pcivar.h>
+ #endif
+ 
++#if __FreeBSD_version >= 1100001
++#include <net/if_var.h>
++#endif
++
+ /* define INLINE the way gcc likes it */
+ #define INLINE __inline__
+ 

Modified: head/emulators/open-vm-tools/files/patch-vmhgfs-Makefile
==============================================================================
--- head/emulators/open-vm-tools/files/patch-vmhgfs-Makefile	Sat Nov 16 04:31:33 2013	(r333980)
+++ head/emulators/open-vm-tools/files/patch-vmhgfs-Makefile	Sat Nov 16 04:35:59 2013	(r333981)
@@ -1,27 +1,21 @@
---- ./modules/freebsd/vmhgfs/Makefile.orig	2010-10-20 05:19:54.000000000 +0900
-+++ ./modules/freebsd/vmhgfs/Makefile	2010-11-11 23:06:07.000000000 +0900
-@@ -90,22 +90,7 @@
-    CFLAGS += -Ishared
+--- modules/freebsd/vmhgfs/Makefile.orig	2013-04-17 22:12:22.000000000 +0000
++++ modules/freebsd/vmhgfs/Makefile	2013-11-16 03:21:39.890032940 +0000
+@@ -47,7 +47,7 @@
  .endif
  
--#
--# FreeBSD's kernel module build system defines a bunch of additional warning
--# flags for the compiler in addition to -Wall -Werror.  However, some of these,
--# like -Wredundant-decls, are overkill.  To get around this, I copied their list
--# of warning flags, but explicitly disabled a few.
--#
--CWARNFLAGS := -Wall
--CWARNFLAGS += -Werror
--CWARNFLAGS += -Wno-redundant-decls
--CWARNFLAGS += -Wnested-externs
--CWARNFLAGS += -Wstrict-prototypes
--CWARNFLAGS += -Wno-missing-prototypes
--CWARNFLAGS += -Wpointer-arith
--CWARNFLAGS += -Winline
--CWARNFLAGS += -Wcast-qual
--
+ COMMON_HGFS_SRCS := debug.c
+-COMMON_HGFS_SRCS := bdhandler.c
++COMMON_HGFS_SRCS += bdhandler.c
+ COMMON_HGFS_SRCS += request.c
+ COMMON_HGFS_SRCS += worker.c
+ COMMON_HGFS_SRCS += fsutil.c
+@@ -108,7 +108,9 @@
+ CWARNFLAGS += -Wpointer-arith
+ CWARNFLAGS += -Winline
+ CWARNFLAGS += -Wcast-qual
++CWARNFLAGS += ${NO_WUNNEEDED_INTERNAL_DECL}
+ 
  EXPORT_SYMS = NO
  
 +.include <bsd.own.mk>
  .include <bsd.kmod.mk>
-

Modified: head/emulators/open-vm-tools/pkg-plist
==============================================================================
--- head/emulators/open-vm-tools/pkg-plist	Sat Nov 16 04:31:33 2013	(r333980)
+++ head/emulators/open-vm-tools/pkg-plist	Sat Nov 16 04:35:59 2013	(r333981)
@@ -14,7 +14,6 @@ lib/open-vm-tools/plugins/common/libhgfs
 lib/open-vm-tools/plugins/common/libvix.so
 lib/open-vm-tools/plugins/common/libvix.la
 %%X11%%lib/open-vm-tools/plugins/vmusr/libresolutionSet.so
-%%X11%%lib/open-vm-tools/plugins/vmusr/libvixUser.so
 %%X11%%lib/open-vm-tools/plugins/vmusr/libdesktopEvents.so
 %%X11%%lib/open-vm-tools/plugins/vmusr/libdndcp.so
 lib/libhgfs.a
@@ -40,16 +39,12 @@ include/vmGuestLib/vmSessionId.h
 include/vmGuestLib/vm_basic_types.h
 @exec mkdir -p %D/lib/vmware-tools/modules/input
 sbin/mount_vmhgfs
-%%X11%%bin/vmware-toolbox
 %%X11%%bin/vmware-user-suid-wrapper
 share/vmware-tools/poweroff-vm-default
 share/vmware-tools/poweron-vm-default
 share/vmware-tools/resume-vm-default
 share/vmware-tools/suspend-vm-default
 share/vmware-tools/vm-support
-share/open-vm-tools/messages/de/toolbox.vmsg
-share/open-vm-tools/messages/ja/toolbox.vmsg
-share/open-vm-tools/messages/zh_CN/toolbox.vmsg
 share/vmware-tools/statechange.subr
 share/vmware-tools/scripts/vmware/network
 @unexec if test -f %D/share/vmware-tools/tools.conf; then rm -f %D/share/vmware-tools/tools.conf; fi
@@ -57,7 +52,6 @@ share/vmware-tools/scripts/vmware/networ
 @dirrmtry lib/vmware-tools/modules/input
 @dirrmtry lib/vmware-tools/modules
 @dirrmtry lib/vmware-tools
-@dirrmtry etc/vmware-tools
 @dirrmtry share/open-vm-tools/messages/de
 @dirrmtry share/open-vm-tools/messages/ja
 @dirrmtry share/open-vm-tools/messages/zh_CN
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Steve Wills freebsd_committer 2013-11-16 04:45:21 UTC
State Changed
From-To: open->closed

Committed with changes. Thanks!